Bug 848648 - [Doc] Add annotation about how to enable stack traces in log messages
[Doc] Add annotation about how to enable stack traces in log messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 02:31 EDT by hongming
Modified: 2013-02-21 02:21 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:21:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-08-16 02:31:08 EDT
Description of problem:
The feature - Enable stack traces in log  have been add to libvirt-0.10.0-0rc0.el6.x86_64 build . It needs to add  annotation about it in libvirtd.conf.

http://www.redhat.com/archives/libvir-list/2012-May/msg00512.html


Version-Release number of selected component (if applicable):
libvirt-0.10.0-0rc0.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1.Configure the following settings  in /etc/libvirt/libvirtd.conf. and there isn't any annotation about how to enable stack traces.

log_level=1
log_filters="1:+libvirt 1:util 1:qemu"
log_outputs="1:file:/var/log/libvirt/libvirtd.log"


2.Check the log file. It should  includes stack traces 


2012-08-09 06:52:15.990+0000: 37394: debug : do_open:1130 : name "qemu:///system" to URI components:
  scheme qemu
  server (null)
  user (null)
  port 0
  path /system

/usr/lib64/libvirt.so.0(virLogMessage+0x7c)[0x374585192c]
/usr/lib64/libvirt.so.0[0x37458dd6f9]
/usr/lib64/libvirt.so.0(virConnectOpen+0x56)[0x37458de836]
libvirtd[0x447f61]
/usr/lib64/libvirt.so.0(virStateInitialize+0x7b)[0x37458de96b]
libvirtd[0x420dc1]
/usr/lib64/libvirt.so.0[0x374585b9a9]
/lib64/libpthread.so.0[0x370b407851]
/lib64/libc.so.6(clone+0x6d)[0x370b0e767d]

3.
  
Actual results:
There isn't any annotation about it.

Expected results:
Add annotation about how to enable stack traces in log messages

Additional info:
Comment 2 Jiri Denemark 2012-08-17 15:41:59 EDT
Fixed upstream by v0.10.0-rc0-152-g395be3c:

commit 395be3c2b8d8e14eb93167de003fa7d872d1547e
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Fri Aug 17 14:12:51 2012 +0200

    docs: Enhance documentation of log_filters
    
    Also make sure documentation in libvirtd.conf matches the one from
    logging.html.
Comment 4 yuping zhang 2012-08-23 23:29:20 EDT
Verified this bug with:
libvirt-0.10.0-0rc1.el6.x86_64

1.# vim /etc/libvirt/libvirtd.conf
...

# Logging filters:
# A filter allows to select a different logging level for a given category
# of logs
# The format for a filter is one of:
#    x:name
#    x:+name
#      where name is a string which is matched against source file name,
#      e.g., "remote", "qemu", or "util/json", the optional "+" prefix
#      tells libvirt to log stack trace for each message matching name,
#      and x is the minimal level where matching messages should be logged:
#    1: DEBUG
#    2: INFO
#    3: WARNING
#    4: ERROR
#
...

2.Configure the following settings  in /etc/libvirt/libvirtd.conf. 

log_level=1
log_filters="1:+libvirt 1:util 1:qemu"
log_outputs="1:file:/var/log/libvirt/libvirtd.log"

3.Restart libvirtd,then destroy a guest with virsh.
Stack trace log:
...

2012-08-24 16:26:18.932+0000: 17440: debug : remoteDispatchDomainLookupByNameHelper:2892 : server=0x13d8430 client=0x13e0cc0 msg=0x13d9760 rerr=0x7f4f92adbb80 args=0x7f4f7c001d50 ret=0x7f4f7c001d70
2012-08-24 16:26:18.932+0000: 17440: debug : virDomainLookupByName:2114 : conn=0x7f4f84002b70, name=rhel6.3
/usr/lib64/libvirt.so.0(virLogMessage+0x7c)[0x7f4f9c5e55bc]
/usr/lib64/libvirt.so.0(virDomainLookupByName+0x3e)[0x7f4f9c66f6ee]
libvirtd[0x43b58e]
/usr/lib64/libvirt.so.0(virNetServerProgramDispatch+0x45d)[0x7f4f9c6bfe3d]
/usr/lib64/libvirt.so.0(+0x12fade)[0x7f4f9c6c0ade]
/usr/lib64/libvirt.so.0(+0x13017c)[0x7f4f9c6c117c]
/usr/lib64/libvirt.so.0(+0x5f30c)[0x7f4f9c5f030c]
/usr/lib64/libvirt.so.0(+0x5ebf9)[0x7f4f9c5efbf9]
/lib64/libpthread.so.0[0x3b71a07851]
/lib64/libc.so.6(clone+0x6d)[0x3b716e767d]

2012-08-24 16:26:18.932+0000: 17440: debug : virObjectNew:110 : OBJECT_NEW: obj=0x7f4f7c002340 classname=virDomain
2012-08-24 16:26:18.932+0000: 17440: debug : virObjectRef:168 : OBJECT_REF: obj=0x7f4f84002b70
2012-08-24 16:26:18.932+0000: 17440: debug : virDomainFree:2278 : dom=0x7f4f7c002340, (VM: name=rhel6.3, uuid=4e10f61b-9e6c-b85a-cce1-1f97d30ce899)
/usr/lib64/libvirt.so.0(virLogMessage+0x7c)[0x7f4f9c5e55bc]
/usr/lib64/libvirt.so.0(virDomainFree+0x99)[0x7f4f9c687d29]
libvirtd[0x43b5a9]
/usr/lib64/libvirt.so.0(virNetServerProgramDispatch+0x45d)[0x7f4f9c6bfe3d]
/usr/lib64/libvirt.so.0(+0x12fade)[0x7f4f9c6c0ade]
/usr/lib64/libvirt.so.0(+0x13017c)[0x7f4f9c6c117c]
/usr/lib64/libvirt.so.0(+0x5f30c)[0x7f4f9c5f030c]
/usr/lib64/libvirt.so.0(+0x5ebf9)[0x7f4f9c5efbf9]
/lib64/libpthread.so.0[0x3b71a07851]
/lib64/libc.so.6(clone+0x6d)[0x3b716e767d]
...

So change the bug status to VERIFIED.
Comment 5 errata-xmlrpc 2013-02-21 02:21:37 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.